From ec1c82566a20c10535a9aade5da0bfb6c8a1b09b Mon Sep 17 00:00:00 2001
From: Matthias Schiffer <mschiffer@universe-factory.net>
Date: Sun, 28 Feb 2016 03:30:14 +0100
Subject: [PATCH] scripts/patch.sh: add --committer-date-is-author-date to `git
 am`

This option will make the generated commit IDs deterministic, greatly
reducing the number of repository objects created when calling `make
update` repeatedly.
---
 scripts/patch.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/patch.sh b/scripts/patch.sh
index 5f6e0b66f..b89d6eb4c 100755
--- a/scripts/patch.sh
+++ b/scripts/patch.sh
@@ -10,7 +10,7 @@ for module in $GLUON_MODULES; do
 	git checkout -B patching base
 
 	for patch in "$GLUONDIR"/patches/$module/*.patch; do
-		if ! git -c user.name='Gluon Patch Manager' -c user.email='gluon@void.example.com' am --whitespace=nowarn "$patch"; then
+		if ! git -c user.name='Gluon Patch Manager' -c user.email='gluon@void.example.com' am --whitespace=nowarn --committer-date-is-author-date "$patch"; then
 			git am --abort
 			git checkout patched
 			git branch -D patching
-- 
GitLab